> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payouts

> List IP Market Payouts



## OpenAPI

````yaml openapi/billing.yaml get /v1/{tenantUUID}/market/payouts
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/market/payouts:
    get:
      tags:
        - Payouts
      summary: List Payouts
      description: List IP Market Payouts
      operationId: API-Pub-IPmarket-Payouts-List
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - name: uuid
          in: query
          description: Filter By Payout UUID
          schema:
            type: string
        - name: service_uuid
          in: query
          description: Filter By Service UUID
          schema:
            type: string
        - name: address
          in: query
          description: Filter By IPv4 Address
          schema:
            type: string
            format: ipv4
        - name: cidr
          in: query
          description: Filter By CIDR
          schema:
            type: integer
        - name: amount
          in: query
          description: Filter By Amount
          schema:
            type: number
            format: float
        - name: total
          in: query
          description: Filter By Total
          schema:
            type: number
            format: float
        - name: lease_count
          in: query
          description: Filter By Lease Count
          schema:
            type: integer
        - name: status
          in: query
          description: Filter by Status
          schema:
            enum:
              - pending
              - completed
              - rejected
              - graph
            type: string
        - name: method
          in: query
          description: Filter By Method
          schema:
            type: string
        - name: start
          in: query
          description: Filter By Start period date in unix timestamp format
          schema:
            type: integer
        - name: end
          in: query
          description: Filter By End period date in unix timestamp format
          schema:
            type: integer
        - name: from
          in: query
          description: >-
            Filter by Start period date in unix timestamp format which is
            greater or equal to input
          schema:
            type: integer
        - name: to
          in: query
          description: >-
            Filter By End period date in unix timestamp format which is lower or
            equal to input
          schema:
            type: integer
        - name: status_date
          in: query
          description: Filter By Status change date in unix timestamp format
          schema:
            type: integer
        - name: created_at
          in: query
          description: Filter By Created date in unix timestamp format
          schema:
            type: integer
        - name: sort
          in: query
          description: Sort By Key
          schema:
            type: string
            description: >-
              Expects the value to be list of keys sepparated by commas.

              Default sort direction for each individual key is ASCENDING, but
              prefix '-' can be set for each individual key to indicate
              DESCENDING direction.

              Valid keys are:
              [address,cidr,market_service_expiration_date,recurring_amount,billing_cycle,start_date,next_due_date].

              Example: '-cidr,address' - will sort descendingly by <cidr> first
              and then by <address> for services with same <cidr>
        - name: page
          in: query
          description: List Page
          schema:
            type: integer
            default: 1
        - name: per_page
          in: query
          description: Items Per Page
          schema:
            type: integer
            default: 15
      responses:
        '200':
          description: Payout Collection
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/API.Pub.Resources.IPMarket.PayoutCollection
              example:
                data:
                  - uuid: string
                    tenant_uuid: string
                    service_uuid: string
                    address: string
                    cidr: 0
                    amount: 0
                    total: 0
                    lease_count: 0
                    status: pending
                    status_details: string
                    method: string
                    transaction_id: string
                    start: 0
                    end: 0
                    status_date: 0
                    created_at: 0
                    earnings:
                      - service_uuid: string
                        payout_uuid: string
                        amount: 0
                        start: 0
                        end: 0
                        created_at: 0
                meta:
                  current_page: 0
                  from: 0
                  last_page: 0
                  per_page: 0
                  to: 0
                  total: 0
        '400':
          description: Invalid Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
    API.Pub.Resources.IPMarket.PayoutCollection:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/API.Pub.Resources.IPMarket.PayoutResource'
        meta:
          $ref: '#/components/schemas/collectionMeta'
    API.Pub.Resources.IPMarket.PayoutResource:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        tenant_uuid:
          type: string
          format: uuid
        service_uuid:
          type: string
          format: uuid
        address:
          type: string
          format: ipv4
        cidr:
          type: integer
        amount:
          type: number
          format: float
        total:
          type: number
          format: float
        lease_count:
          type: integer
        status:
          enum:
            - pending
            - completed
            - rejected
            - graph
          type: string
        status_details:
          type: string
        method:
          type: string
        transaction_id:
          type: string
        start:
          type: integer
        end:
          type: integer
        status_date:
          type: integer
        created_at:
          type: integer
        earnings:
          type: array
          items:
            $ref: >-
              #/components/schemas/API.Pub.Resources.IPMarket.ServiceLeaseEarningResource
          description: list of Service Lease Earnings
    collectionMeta:
      type: object
      properties:
        current_page:
          type: integer
        from:
          type: integer
        last_page:
          type: integer
        per_page:
          type: integer
        to:
          type: integer
        total:
          type: integer
    API.Pub.Resources.IPMarket.ServiceLeaseEarningResource:
      type: object
      properties:
        service_uuid:
          type: string
          format: uuid
        payout_uuid:
          type: string
          format: uuid
        amount:
          type: number
          format: float
        start:
          type: integer
        end:
          type: integer
        created_at:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````